Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api.peer
Class BufferPeer

    java.lang.Object
      |
      +--com.macromedia.generator.api.peer.BufferPeer

public class BufferPeer
extends java.lang.Object

Constructor Summary
`BufferPeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `GetBuffer(int i, int j, byte[] abyte0)`
`static int` | `GetBufferCount(int i, int[] ai)`
`static int` | `GetBufferSize(int i, int j, int[] ai)`
`static int` | `GetPos(int i, int[] ai)`
`static int` | `GetSize(int i, int[] ai)`
`static int` | `New()`
`static int` | `Read(int i, byte[] abyte0, int j, int[] ai)`
`static int` | `Release(int i)`
`static int` | `Reset(int i)`
`static int` | `Seek(int i, int j)`
`static int` | `Write(int i, byte[] abyte0, int j, int[] ai)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferPeer

    public BufferPeer()

Method Detail

### GetBuffer

    public static int GetBuffer(int i,
                                int j,
                                byte[] abyte0)

### GetBufferCount

    public static int GetBufferCount(int i,
                                     int[] ai)

### GetBufferSize

    public static int GetBufferSize(int i,
                                    int j,
                                    int[] ai)

### GetPos

    public static int GetPos(int i,
                             int[] ai)

### GetSize

    public static int GetSize(int i,
                              int[] ai)

### New

    public static int New()

### Read

    public static int Read(int i,
                           byte[] abyte0,
                           int j,
                           int[] ai)

### Release

    public static int Release(int i)

### Reset

    public static int Reset(int i)

### Seek

    public static int Seek(int i,
                           int j)

### Write

    public static int Write(int i,
                            byte[] abyte0,
                            int j,
                            int[] ai)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD